> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/products/land-and-terrain-portfolio/os-open-greenspace/os-open-greenspace-technical-specification/attribute-mapping.md).

# Attribute mapping

The UML class diagram and accompanying feature type attribute tables on the [data structure page](/os-downloads/products/land-and-terrain-portfolio/os-open-greenspace/os-open-greenspace-technical-specification/data-structure.md) are provided in GML format.

The naming of attributes between the formats varies due to the differing naming conventions associated with each format (for example, presence of underscores, character limitations and capitalisation). For example, Esri shapefile attribute names are limited to 10 characters, whereas GML has no character limit. The following tables map the attribute names for each feature type across the formats.

{% hint style="info" %}
*A couple of attributes are not mapped to all formats; the absence of an attribute field is represented by ‘N/A’ in the table. The fid attribute is only available in GeoPackage format (this is a procedurally generated, non-persistent number required for some GIS applications to be able to read the data). GML and GeoPackage contain the geometry attribute which describes the geometry of the feature; this attribute is not applicable for the Esri shapefile or vector tiles formats as they apply their geometry visually.*
{% endhint %}

## Greenspace Site <a href="#bookmark13" id="bookmark13"></a>

OS Open Greenspace attribute naming differences between GML, Esri Shapefile, GeoPackage and vector tiles for the Greenspace Site Feature Type.

| GML              | Esri shapefile   | GeoPackage           | Vector tiles         |
| ---------------- | ---------------- | -------------------- | -------------------- |
| N/A              | N/A              | fid                  | N/A                  |
| id               | id               | id                   | id                   |
| function         | function         | function             | function             |
| distinctiveName1 | distinctiveName1 | distinctive\_name\_1 | distinctive\_name\_1 |
| distinctiveName2 | distinctiveName2 | distinctive\_name\_2 | distinctive\_name\_2 |
| distinctiveName3 | distinctiveName3 | distinctive\_name\_3 | distinctive\_name\_3 |
| distinctiveName4 | distinctiveName4 | distinctive\_name\_4 | distinctive\_name\_4 |
| geometry         | N/A              | geometry             | N/A                  |

## Access Point <a href="#bookmark14" id="bookmark14"></a>

OS Open Greenspace attribute naming differences between GML, Esri Shapefile, GeoPackage and vector tiles for the Access Point Feature Type.

| GML                 | Esri shapefile | GeoPackage                | Vector tiles |
| ------------------- | -------------- | ------------------------- | ------------ |
| N/A                 | N/A            | fid                       | N/A          |
| id                  | id             | id                        | id           |
| accessType          | accessType     | access\_type              | access\_type |
| refToGreenspaceSite | refToGSite     | ref\_to\_greenspace\_site | N/A          |
| geometry            | N/A            | geometry                  | N/A          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.os.uk/os-downloads/products/land-and-terrain-portfolio/os-open-greenspace/os-open-greenspace-technical-specification/attribute-mapping.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
